__gnu_profile::__warning_data(3cxx)

NAME
__gnu_profile::__warning_data - Representation of a warning.

SYNOPSIS

#include <profiler_trace.h>

  Public Member Functions

__warning_data (float __m, __stack_t __c, const char *__id, const std::string &__msg)
bool operator< (const __warning_data &__other) const

  Public Attributes

__stack_t __context
float __magnitude
const char * __warning_id
std::string __warning_message

Detailed Description

Representation of a warning.

Definition at line 73 of file profiler_trace.h.

Constructor & Destructor Documentation

  __gnu_profile::__warning_data::__warning_data () [inline]

Definition at line 80 of file profiler_trace.h.

  __gnu_profile::__warning_data::__warning_data (float __m, __stack_t __c, const char * __id, const std::string & __msg) [inline]

Definition at line 83 of file profiler_trace.h.

Member Function Documentation

  bool __gnu_profile::__warning_data::operator< (const __warning_data & __other) const [inline]

Definition at line 88 of file profiler_trace.h.

Member Data Documentation

  __stack_t __gnu_profile::__warning_data::__context

Definition at line 76 of file profiler_trace.h.

  float __gnu_profile::__warning_data::__magnitude

Definition at line 75 of file profiler_trace.h.

  const char* __gnu_profile::__warning_data::__warning_id

Definition at line 77 of file profiler_trace.h.

  std::string __gnu_profile::__warning_data::__warning_message

Definition at line 78 of file profiler_trace.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.